import { type GridOptions } from "ag-grid-community";
export declare class Table {
    gridOptions: GridOptions;
    readonly cols: any[] | string;
    readonly rows: any[] | string;
    columnDefs: any[];
    rowData: any[];
    readonly rowHeight: string;
    readonly tableHeight: string;
    readonly variant: string;
    uniqueKey: string;
    host: HTMLIfxBasicTableElement;
    private container;
    private gridApi;
    private gridInitialized;
    componentWillLoad(): void;
    private setGridOptions;
    private setColsAndRows;
    private getRowData;
    private getColData;
    private onFirstDataRendered;
    componentWillUpdate(): void;
    componentDidLoad(): Promise<void>;
    private getClassNames;
    private getTableStyle;
    render(): any;
}
